Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-43694

Slaves running on java7 can't connect anymore

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Blocker
    • Resolution: Not A Defect
    • Component/s: swarm-plugin
    • Labels:
      None
    • Environment:
      Jenkins Server version 2.55 (running in docker jenkinsci/jenkins:2.55-alpine)
      Swarm Plugin version 3.4
      Swarm Client version 3.4
    • Similar Issues:

      Description

      After updating to Jenkins 2.54 (and now 2.55), the swarm client cannot connect to the server anymore when it runs on java7. When the client runs on java8, everything works fine.

      Please see the log files for details. 

      In the log files with the log level finer (*-swarmclient-finer.log), you can see that the client behaves the same up to line 67 on both java versions.

       

      In Jenkins 2.53, everything works as expected in both java versions.

      The bug currently makes it impossible to have a slave with jdk7 running (except if you would run the client on a separately installed java8 which is quite unpractical)

        Attachments

          Issue Links

            Activity

            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            In Jenkins 2.54 we upgraded the minimal Java version requirement to Java 8. It applies to the master and to agents. There was a series of announcements about it, here is the last one: https://jenkins.io/blog/2017/04/10/jenkins-has-upgraded-to-java-8/

            Show
            oleg_nenashev Oleg Nenashev added a comment - In Jenkins 2.54 we upgraded the minimal Java version requirement to Java 8. It applies to the master and to agents. There was a series of announcements about it, here is the last one: https://jenkins.io/blog/2017/04/10/jenkins-has-upgraded-to-java-8/
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            KK does not maintain this plugin anymore. Moving to unassigned to set the expectation

            Show
            oleg_nenashev Oleg Nenashev added a comment - KK does not maintain this plugin anymore. Moving to unassigned to set the expectation

              People

              • Assignee:
                Unassigned
                Reporter:
                psommersguter Philipp Sommersguter
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: